;InnoSetupVersion=4.2.4

[Setup]
AppName=TextPipe Pro Evaluation
AppVerName=TextPipe Pro Evaluation 7.2
AppId=TextPipe
AppVersion=7.2
AppPublisher=Crystal Software Australia
AppPublisherURL=http://www.crystalsoftware.com.au
AppSupportURL=http://www.crystalsoftware.com.au/support.html
AppUpdatesURL=http://www.crystalsoftware.com.au
DefaultDirName={pf}\TextPipe
DefaultGroupName=TextPipe Pro Evaluation
UninstallDisplayIcon={app}\TextPipe.exe
OutputBaseFilename=textpipe2
Compression=lzma
PrivilegesRequired=none
ChangesAssociations=yes
LicenseFile=embedded\License.txt
InfoBeforeFile=embedded\InfoBefore.rtf
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\textpipe.exe"; DestDir: "{app}"; 
Source: "{sys}\stdvcl40.dll"; DestDir: "{sys}"; 
Source: "{app}\textpipe.tlb"; DestDir: "{app}"; 
Source: "{app}\textpipe.chm"; DestDir: "{app}"; 
Source: "{app}\CrySo-HP.url"; DestDir: "{app}"; 
Source: "{app}\TxtPp-HP.url"; DestDir: "{app}"; 
Source: "{app}\email.url"; DestDir: "{app}"; 
Source: "{app}\purchase.url"; DestDir: "{app}"; 
Source: "{app}\normal.fll"; DestDir: "{app}"; 
Source: "{app}\normal_advanced.fll"; DestDir: "{app}"; 
Source: "{app}\external.bat"; DestDir: "{app}"; 
Source: "{app}\external_input.bat"; DestDir: "{app}"; 
Source: "{app}\order.txt"; DestDir: "{app}"; 
Source: "{app}\corporat.txt"; DestDir: "{app}"; 
Source: "{app}\license.txt"; DestDir: "{app}"; 
Source: "{app}\products.txt"; DestDir: "{app}"; 
Source: "{app}\whatsnew.txt"; DestDir: "{app}"; 
Source: "{app}\desc.sdi"; DestDir: "{app}"; 
Source: "{app}\tips.txt"; DestDir: "{app}"; 
Source: "{app}\marketing.txt"; DestDir: "{app}"; 
Source: "{app}\sound.wav"; DestDir: "{app}"; 
Source: "{app}\contmenu.dll"; DestDir: "{app}"; Flags: onlyifdoesntexist 
Source: "{app}\custom_patterns.txt"; DestDir: "{app}"; 
Source: "{app}\3rd party\convert MEDLINE tags to askSam fields.fll"; DestDir: "{app}\3rd party"; 
Source: "{app}\3rd party\convert to PDF.fll"; DestDir: "{app}\3rd party"; 
Source: "{app}\3rd party\create excel graph from data.fll"; DestDir: "{app}\3rd party"; 
Source: "{app}\3rd party\framemaker make index entries.fll"; DestDir: "{app}\3rd party"; 
Source: "{app}\3rd party\generate crawler page for web spiders.fll"; DestDir: "{app}\3rd party"; 
Source: "{app}\3rd party\generate google keywords.fll"; DestDir: "{app}\3rd party"; 
Source: "{app}\3rd party\GFI FAXmaker.fll"; DestDir: "{app}\3rd party"; 
Source: "{app}\3rd party\reformat text for file_id diz.fll"; DestDir: "{app}\3rd party"; 
Source: "{app}\3rd party\send SMS.fll"; DestDir: "{app}\3rd party"; 
Source: "{app}\3rd party\split Agent Newsreader files.fll"; DestDir: "{app}\3rd party"; 
Source: "{app}\3rd party\SQUEEZE.FLL"; DestDir: "{app}\3rd party"; 
Source: "{app}\3rd party\WordStar4 to text.FLL"; DestDir: "{app}\3rd party"; 
Source: "{app}\coding\add line numbers.fll"; DestDir: "{app}\coding"; 
Source: "{app}\coding\c to pascal.fll"; DestDir: "{app}\coding"; 
Source: "{app}\coding\convert pascal hex values to char values.fll"; DestDir: "{app}\coding"; 
Source: "{app}\coding\create C string.fll"; DestDir: "{app}\coding"; 
Source: "{app}\coding\create Pascal string constant.fll"; DestDir: "{app}\coding"; 
Source: "{app}\coding\custom decimal dump.fll"; DestDir: "{app}\coding"; 
Source: "{app}\coding\custom hex dump.fll"; DestDir: "{app}\coding"; 
Source: "{app}\coding\extract cobol comments.fll"; DestDir: "{app}\coding"; 
Source: "{app}\coding\negative lookahead assertions.fll"; DestDir: "{app}\coding"; 
Source: "{app}\coding\pascal to c.fll"; DestDir: "{app}\coding"; 
Source: "{app}\coding\prepare files for alias section of HTML help.fll"; DestDir: "{app}\coding"; 
Source: "{app}\coding\text to php.fll"; DestDir: "{app}\coding"; 
Source: "{app}\conversions\add UTF16BE BOM.fll"; DestDir: "{app}\conversions"; 
Source: "{app}\conversions\add UTF16LE BOM.fll"; DestDir: "{app}\conversions"; 
Source: "{app}\conversions\add UTF32BE BOM.fll"; DestDir: "{app}\conversions"; 
Source: "{app}\conversions\add UTF32LE BOM.fll"; DestDir: "{app}\conversions"; 
Source: "{app}\conversions\Applix Word documents to plain text.fll"; DestDir: "{app}\conversions"; 
Source: "{app}\conversions\auto2dos.fll"; DestDir: "{app}\conversions"; 
Source: "{app}\conversions\auto2mac.fll"; DestDir: "{app}\conversions"; 
Source: "{app}\conversions\auto2unix.fll"; DestDir: "{app}\conversions"; 
Source: "{app}\conversions\convert 6 hours per line to 1 hour per line.fll"; DestDir: "{app}\conversions"; 
Source: "{app}\conversions\convert binary file to text.fll"; DestDir: "{app}\conversions"; 
Source: "{app}\conversions\convert binary integers to text.fll"; DestDir: "{app}\conversions"; 
Source: "{app}\conversions\convert column delimited to record.fll"; DestDir: "{app}\conversions"; 
Source: "{app}\conversions\convert csv to fixed width.fll"; DestDir: "{app}\conversions"; 
Source: "{app}\conversions\convert csv to xml.fll"; DestDir: "{app}\conversions"; 
Source: "{app}\conversions\convert DOS newlines to Unix.fll"; DestDir: "{app}\conversions"; 
Source: "{app}\conversions\convert fixed width to csv.fll"; DestDir: "{app}\conversions"; 
Source: "{app}\conversions\convert pipe to CSV.fll"; DestDir: "{app}\conversions"; 
Source: "{app}\conversions\convert pipe to Tab.fll"; DestDir: "{app}\conversions"; 
Source: "{app}\conversions\convert semi-colon delimited to csv.fll"; DestDir: "{app}\conversions"; 
Source: "{app}\conversions\convert tab to fixed width.fll"; DestDir: "{app}\conversions"; 
Source: "{app}\conversions\convert tab-delimited to CSV.fll"; DestDir: "{app}\conversions"; 
Source: "{app}\conversions\convert text to unicode.fll"; DestDir: "{app}\conversions"; 
Source: "{app}\conversions\convert to unicode slash u.fll"; DestDir: "{app}\conversions"; 
Source: "{app}\conversions\convert Unix newlines to DOS.fll"; DestDir: "{app}\conversions"; 
Source: "{app}\conversions\csv to fixed width.fll"; DestDir: "{app}\conversions"; 
Source: "{app}\conversions\csv to xml.fll"; DestDir: "{app}\conversions"; 
Source: "{app}\conversions\join text files with EOF.fll"; DestDir: "{app}\conversions"; 
Source: "{app}\conversions\mac text to pc text.fll"; DestDir: "{app}\conversions"; 
Source: "{app}\conversions\pivot csv file.fll"; DestDir: "{app}\conversions"; 
Source: "{app}\conversions\pivot tab file.fll"; DestDir: "{app}\conversions"; 
Source: "{app}\database\create db.fll"; DestDir: "{app}\database"; 
Source: "{app}\database\database example.vbs"; DestDir: "{app}\database"; 
Source: "{app}\database\insert data into database table.fll"; DestDir: "{app}\database"; 
Source: "{app}\database\insert record into database.fll"; DestDir: "{app}\database"; 
Source: "{app}\email\extract emails.fll"; DestDir: "{app}\email"; 
Source: "{app}\email\mime.fll"; DestDir: "{app}\email"; 
Source: "{app}\email\quote each line.fll"; DestDir: "{app}\email"; 
Source: "{app}\email\remove forwarded email characters.fll"; DestDir: "{app}\email"; 
Source: "{app}\email\remove forwarded email text.fll"; DestDir: "{app}\email"; 
Source: "{app}\email\unquote each line.fll"; DestDir: "{app}\email"; 
Source: "{app}\email\uuencode.fll"; DestDir: "{app}\email"; 
Source: "{app}\email\xxencode.fll"; DestDir: "{app}\email"; 
Source: "{app}\etext\align text flush right.fll"; DestDir: "{app}\etext"; 
Source: "{app}\etext\centre text and pad.fll"; DestDir: "{app}\etext"; 
Source: "{app}\etext\centre text.fll"; DestDir: "{app}\etext"; 
Source: "{app}\etext\copy to clipboard.fll"; DestDir: "{app}\etext"; 
Source: "{app}\etext\delete both leading and trailing whitespace.fll"; DestDir: "{app}\etext"; 
Source: "{app}\etext\delete leading whitespace.fll"; DestDir: "{app}\etext"; 
Source: "{app}\etext\delete trailing whitespace.fll"; DestDir: "{app}\etext"; 
Source: "{app}\etext\extract strings for translation.fll"; DestDir: "{app}\etext"; 
Source: "{app}\etext\fix name capitalization.fll"; DestDir: "{app}\etext"; 
Source: "{app}\etext\generate rtf file.fll"; DestDir: "{app}\etext"; 
Source: "{app}\etext\GutenbergProject.fll"; DestDir: "{app}\etext"; 
Source: "{app}\etext\insert 5 spaces at start of each line.fll"; DestDir: "{app}\etext"; 
Source: "{app}\etext\make RTF search string.fll"; DestDir: "{app}\etext"; 
Source: "{app}\etext\manually edit matching lines.fll"; DestDir: "{app}\etext"; 
Source: "{app}\etext\merge files.fll"; DestDir: "{app}\etext"; 
Source: "{app}\etext\military time.fll"; DestDir: "{app}\etext"; 
Source: "{app}\etext\move columns.fll"; DestDir: "{app}\etext"; 
Source: "{app}\etext\Numbers to Words.fll"; DestDir: "{app}\etext"; 
Source: "{app}\etext\obscure people names.fll"; DestDir: "{app}\etext"; 
Source: "{app}\etext\put box around text.fll"; DestDir: "{app}\etext"; 
Source: "{app}\etext\randomize lines (repeatable).fll"; DestDir: "{app}\etext"; 
Source: "{app}\etext\rearrange date order.fll"; DestDir: "{app}\etext"; 
Source: "{app}\etext\reduce whitespace larger than 3 chars.fll"; DestDir: "{app}\etext"; 
Source: "{app}\etext\reformat split wide table.fll"; DestDir: "{app}\etext"; 
Source: "{app}\etext\remove hard carriage returns.fll"; DestDir: "{app}\etext"; 
Source: "{app}\etext\remove last word of every line.fll"; DestDir: "{app}\etext"; 
Source: "{app}\etext\remove matching lines between X and Y.fll"; DestDir: "{app}\etext"; 
Source: "{app}\etext\replace spaces near tabs.fll"; DestDir: "{app}\etext"; 
Source: "{app}\etext\replace spaces with tabs at start of lines only.fll"; DestDir: "{app}\etext"; 
Source: "{app}\etext\replace strings after translation.fll"; DestDir: "{app}\etext"; 
Source: "{app}\etext\sample unicode map.fll"; DestDir: "{app}\etext"; 
Source: "{app}\etext\select from start to matching line.fll"; DestDir: "{app}\etext"; 
Source: "{app}\etext\title case with articles_ propositions and conjunctions.fll"; DestDir: "{app}\etext"; DestName: "title case with articles, propositions and conjunctions.fll"; 
Source: "{app}\etext\uppercase exception words.fll"; DestDir: "{app}\etext"; 
Source: "{app}\fun\drawl (texan).fll"; DestDir: "{app}\fun"; 
Source: "{app}\fun\Elmer Fudd.fll"; DestDir: "{app}\fun"; 
Source: "{app}\fun\jive.fll"; DestDir: "{app}\fun"; 
Source: "{app}\fun\Ken - Cockney.fll"; DestDir: "{app}\fun"; 
Source: "{app}\fun\KRAUT.FLL"; DestDir: "{app}\fun"; 
Source: "{app}\fun\morse code.fll"; DestDir: "{app}\fun"; 
Source: "{app}\fun\pig latin.fll"; DestDir: "{app}\fun"; 
Source: "{app}\fun\reverse each character on a line.fll"; DestDir: "{app}\fun"; 
Source: "{app}\fun\reverse order of lines.fll"; DestDir: "{app}\fun"; 
Source: "{app}\fun\swedish chef.fll"; DestDir: "{app}\fun"; 
Source: "{app}\fun\VALSPEAK.FLL"; DestDir: "{app}\fun"; 
Source: "{app}\html\add advertising banner to end of web pages.fll"; DestDir: "{app}\html"; 
Source: "{app}\html\add advertising banner to start of web pages.fll"; DestDir: "{app}\html"; 
Source: "{app}\html\add copyright to end of web pages.fll"; DestDir: "{app}\html"; 
Source: "{app}\html\ASCIItoHTML.fll"; DestDir: "{app}\html"; 
Source: "{app}\html\check for repeated keywords.fll"; DestDir: "{app}\html"; 
Source: "{app}\html\convert HTML to inline Java.fll"; DestDir: "{app}\html"; 
Source: "{app}\html\convert string constants back to HTML.fll"; DestDir: "{app}\html"; 
Source: "{app}\html\ConvertHtmlEntitiesToText.fll"; DestDir: "{app}\html"; 
Source: "{app}\html\create html list.fll"; DestDir: "{app}\html"; 
Source: "{app}\html\de-dupe keyword list.fll"; DestDir: "{app}\html"; 
Source: "{app}\html\demoroniser.fll"; DestDir: "{app}\html"; 
Source: "{app}\html\edit existing META tags.fll"; DestDir: "{app}\html"; 
Source: "{app}\html\edit HTML TITLE tags.fll"; DestDir: "{app}\html"; 
Source: "{app}\html\find pages with email addresses.fll"; DestDir: "{app}\html"; 
Source: "{app}\html\fix up special chars in HTML.fll"; DestDir: "{app}\html"; 
Source: "{app}\html\German-8-7.fll"; DestDir: "{app}\html"; 
Source: "{app}\html\German-first-umlauts.fll"; DestDir: "{app}\html"; 
Source: "{app}\html\GermanHTML.fll"; DestDir: "{app}\html"; 
Source: "{app}\html\html to text - iso8859-1 vbs.fll"; DestDir: "{app}\html"; 
Source: "{app}\html\HTML to text.fll"; DestDir: "{app}\html"; 
Source: "{app}\html\insert new META tags.fll"; DestDir: "{app}\html"; 
Source: "{app}\html\insert script (within document body).fll"; DestDir: "{app}\html"; 
Source: "{app}\html\insert script (within HTML header).fll"; DestDir: "{app}\html"; 
Source: "{app}\html\make HTML smaller.fll"; DestDir: "{app}\html"; 
Source: "{app}\html\make jscript string contant.fll"; DestDir: "{app}\html"; 
Source: "{app}\html\make vbscript string contant.fll"; DestDir: "{app}\html"; 
Source: "{app}\html\optimize HTML.fll"; DestDir: "{app}\html"; 
Source: "{app}\html\remove all META tags.fll"; DestDir: "{app}\html"; 
Source: "{app}\html\remove DreamWeaver tags.fll"; DestDir: "{app}\html"; 
Source: "{app}\html\remove frontpage span div tbody.fll"; DestDir: "{app}\html"; 
Source: "{app}\html\remove frontpage TOC tags.fll"; DestDir: "{app}\html"; 
Source: "{app}\html\remove frontpage webbot tags.fll"; DestDir: "{app}\html"; 
Source: "{app}\html\remove HTML comments.fll"; DestDir: "{app}\html"; 
Source: "{app}\html\remove HTML.fll"; DestDir: "{app}\html"; 
Source: "{app}\html\remove span tags.fll"; DestDir: "{app}\html"; 
Source: "{app}\html\remove style.fll"; DestDir: "{app}\html"; 
Source: "{app}\html\remove VBScript and JScript.fll"; DestDir: "{app}\html"; 
Source: "{app}\html\replace BODY tag.fll"; DestDir: "{app}\html"; 
Source: "{app}\html\replace Hyperlink Target URL.fll"; DestDir: "{app}\html"; 
Source: "{app}\html\replace Image SRC tags.fll"; DestDir: "{app}\html"; 
Source: "{app}\html\restrict to non-tag text.fll"; DestDir: "{app}\html"; 
Source: "{app}\html\update html TITLE tags interactively.fll"; DestDir: "{app}\html"; 
Source: "{app}\html\update KEYWORD tags interactively.fll"; DestDir: "{app}\html"; 
Source: "{app}\html\xslt.fll"; DestDir: "{app}\html"; 
Source: "{app}\Languages\brazil.ini"; DestDir: "{app}\Languages"; 
Source: "{app}\Languages\croatian.ini"; DestDir: "{app}\Languages"; 
Source: "{app}\Languages\dutch.ini"; DestDir: "{app}\Languages"; 
Source: "{app}\Languages\english.ini"; DestDir: "{app}\Languages"; 
Source: "{app}\Languages\french.ini"; DestDir: "{app}\Languages"; 
Source: "{app}\Languages\german.ini"; DestDir: "{app}\Languages"; 
Source: "{app}\Languages\italian.ini"; DestDir: "{app}\Languages"; 
Source: "{app}\Languages\polish.ini"; DestDir: "{app}\Languages"; 
Source: "{app}\Languages\portugese.ini"; DestDir: "{app}\Languages"; 
Source: "{app}\Languages\russian.ini"; DestDir: "{app}\Languages"; 
Source: "{app}\Languages\SChinese.ini"; DestDir: "{app}\Languages"; 
Source: "{app}\Languages\spanish.ini"; DestDir: "{app}\Languages"; 
Source: "{app}\Languages\translate.txt"; DestDir: "{app}\Languages"; 
Source: "{app}\mainframe\convert ascii to ebcdic packed and back.fll"; DestDir: "{app}\mainframe"; 
Source: "{app}\mainframe\convert ascii to ebcdic zoned and back.fll"; DestDir: "{app}\mainframe"; 
Source: "{app}\mainframe\convert bank record.fll"; DestDir: "{app}\mainframe"; 
Source: "{app}\mainframe\convert fixed width to html.fll"; DestDir: "{app}\mainframe"; 
Source: "{app}\mainframe\delete all lines where column 66 is not N.fll"; DestDir: "{app}\mainframe"; 
Source: "{app}\mainframe\DTAUS German bank format.fll"; DestDir: "{app}\mainframe"; 
Source: "{app}\mainframe\error logging.fll"; DestDir: "{app}\mainframe"; 
Source: "{app}\mainframe\generic mainframe file - multiple record types.fll"; DestDir: "{app}\mainframe"; 
Source: "{app}\mainframe\generic mainframe file.fll"; DestDir: "{app}\mainframe"; 
Source: "{app}\mainframe\hl7.fll"; DestDir: "{app}\mainframe"; 
Source: "{app}\mainframe\mainframe binary files to PC text files.fll"; DestDir: "{app}\mainframe"; 
Source: "{app}\mainframe\mainframe text files to PC text files.fll"; DestDir: "{app}\mainframe"; 
Source: "{app}\mainframe\packed decimal.fll"; DestDir: "{app}\mainframe"; 
Source: "{app}\mainframe\PCL reports remove leading binary character.fll"; DestDir: "{app}\mainframe"; 
Source: "{app}\mainframe\process undelimited records.fll"; DestDir: "{app}\mainframe"; 
Source: "{app}\mainframe\zoned decimal to ASCII.fll"; DestDir: "{app}\mainframe"; 
Source: "{app}\Maps\ascii to ebcdic.map"; DestDir: "{app}\Maps"; 
Source: "{app}\Maps\C characters.map"; DestDir: "{app}\Maps"; 
Source: "{app}\Maps\convert accented characters to HTML.map"; DestDir: "{app}\Maps"; 
Source: "{app}\Maps\expand BCD number.map"; DestDir: "{app}\Maps"; 
Source: "{app}\Maps\expand EBCDIC packed numeric.map"; DestDir: "{app}\Maps"; 
Source: "{app}\Maps\expand EBCDIC zoned numeric.map"; DestDir: "{app}\Maps"; 
Source: "{app}\Maps\IBM00037 to Windows01252.map"; DestDir: "{app}\Maps"; 
Source: "{app}\Maps\morse code.map"; DestDir: "{app}\Maps"; 
Source: "{app}\Maps\pascal characters.map"; DestDir: "{app}\Maps"; 
Source: "{app}\Maps\Strip alphabetical characters.map"; DestDir: "{app}\Maps"; 
Source: "{app}\Maps\Strip alphanumeric characters.map"; DestDir: "{app}\Maps"; 
Source: "{app}\Maps\Strip non alphabetical characters.map"; DestDir: "{app}\Maps"; 
Source: "{app}\Maps\Strip non alphanumeric characters.map"; DestDir: "{app}\Maps"; 
Source: "{app}\Maps\Strip non numeric characters.map"; DestDir: "{app}\Maps"; 
Source: "{app}\Maps\Strip numeric characters.map"; DestDir: "{app}\Maps"; 
Source: "{app}\Maps\Swedish.map"; DestDir: "{app}\Maps"; 
Source: "{app}\Maps\to binary.map"; DestDir: "{app}\Maps"; 
Source: "{app}\Maps\to decimal.map"; DestDir: "{app}\Maps"; 
Source: "{app}\Maps\to escaped hex.map"; DestDir: "{app}\Maps"; 
Source: "{app}\Maps\to hex.map"; DestDir: "{app}\Maps"; 
Source: "{app}\Maps\to unicode entities.map"; DestDir: "{app}\Maps"; 
Source: "{app}\Maps\xml encode.map"; DestDir: "{app}\Maps"; 
Source: "{app}\My Filters\readme.txt"; DestDir: "{app}\My Filters"; 
Source: "{app}\publishing\add line numbers every 5 lines.fll"; DestDir: "{app}\publishing"; 
Source: "{app}\publishing\add page breaks at report boundary.fll"; DestDir: "{app}\publishing"; 
Source: "{app}\publishing\double space.fll"; DestDir: "{app}\publishing"; 
Source: "{app}\publishing\insert text after XX lines.fll"; DestDir: "{app}\publishing"; 
Source: "{app}\publishing\Make51LinesPerPage.fll"; DestDir: "{app}\publishing"; 
Source: "{app}\publishing\Make64LinesPerPage.fll"; DestDir: "{app}\publishing"; 
Source: "{app}\publishing\Make66LinesPerPage.fll"; DestDir: "{app}\publishing"; 
Source: "{app}\publishing\remove blank lines from end.fll"; DestDir: "{app}\publishing"; 
Source: "{app}\publishing\remove blank lines from file.fll"; DestDir: "{app}\publishing"; 
Source: "{app}\publishing\remove blank lines from top.fll"; DestDir: "{app}\publishing"; 
Source: "{app}\publishing\remove hard line feeds.fll"; DestDir: "{app}\publishing"; 
Source: "{app}\publishing\remove printing codes.fll"; DestDir: "{app}\publishing"; 
Source: "{app}\publishing\textSOAP.fll"; DestDir: "{app}\publishing"; 
Source: "{app}\publishing\triple space.fll"; DestDir: "{app}\publishing"; 
Source: "{app}\publishing\undo double space.fll"; DestDir: "{app}\publishing"; 
Source: "{app}\report extraction\autotrader.fll"; DestDir: "{app}\report extraction"; 
Source: "{app}\report extraction\convert chart for a nursing home for CSV.fll"; DestDir: "{app}\report extraction"; 
Source: "{app}\report extraction\copy data down.fll"; DestDir: "{app}\report extraction"; 
Source: "{app}\report extraction\delete csv field 10.fll"; DestDir: "{app}\report extraction"; 
Source: "{app}\report extraction\extract real estate agent data.fll"; DestDir: "{app}\report extraction"; 
Source: "{app}\report extraction\find text and then include it on every line.fll"; DestDir: "{app}\report extraction"; 
Source: "{app}\report extraction\generic data miner.fll"; DestDir: "{app}\report extraction"; 
Source: "{app}\report extraction\global variables.fll"; DestDir: "{app}\report extraction"; 
Source: "{app}\report extraction\PeopleSoft Production Management.fll"; DestDir: "{app}\report extraction"; 
Source: "{app}\report extraction\prepend first line to every line.fll"; DestDir: "{app}\report extraction"; 
Source: "{app}\report extraction\re-arrange share prices.fll"; DestDir: "{app}\report extraction"; 
Source: "{app}\report extraction\report extraction example.fll"; DestDir: "{app}\report extraction"; 
Source: "{app}\report extraction\report on matching lines.fll"; DestDir: "{app}\report extraction"; 
Source: "{app}\report extraction\split CSV fields with suburb and postcode.fll"; DestDir: "{app}\report extraction"; 
Source: "{app}\report extraction\split out embedded fields into multiple records.fll"; DestDir: "{app}\report extraction"; 
Source: "{app}\report extraction\split records into new files.fll"; DestDir: "{app}\report extraction"; 
Source: "{app}\report extraction\storm flow data.fll"; DestDir: "{app}\report extraction"; 
Source: "{app}\Sample data\customers.csv"; DestDir: "{app}\Sample data"; 
Source: "{app}\Sample data\customers.tab"; DestDir: "{app}\Sample data"; 
Source: "{app}\Sample data\customers.xml"; DestDir: "{app}\Sample data"; 
Source: "{app}\Sample data\datapipe.html"; DestDir: "{app}\Sample data"; 
Source: "{app}\Sample data\ebcdic records.txt"; DestDir: "{app}\Sample data"; 
Source: "{app}\Sample data\ebcdic text.txt"; DestDir: "{app}\Sample data"; 
Source: "{app}\Sample data\unix file.txt"; DestDir: "{app}\Sample data"; 
Source: "{app}\script filter\jscript demo.fll"; DestDir: "{app}\script filter"; 
Source: "{app}\script filter\many excel examples.fll"; DestDir: "{app}\script filter"; 
Source: "{app}\script filter\output filename stats.fll"; DestDir: "{app}\script filter"; 
Source: "{app}\script filter\replace filename with file contents.fll"; DestDir: "{app}\script filter"; 
Source: "{app}\script filter\sample.vbs"; DestDir: "{app}\script filter"; 
Source: "{app}\subfilters\apply UPPERCASE to every 2nd line.fll"; DestDir: "{app}\subfilters"; 
Source: "{app}\subfilters\calculate new field values.fll"; DestDir: "{app}\subfilters"; 
Source: "{app}\subfilters\csv files.fll"; DestDir: "{app}\subfilters"; 
Source: "{app}\subfilters\select lines of length 10 or more.fll"; DestDir: "{app}\subfilters"; 
Source: "{app}\subfilters\sub filter demo.fll"; DestDir: "{app}\subfilters"; 
Source: "{app}\subfilters\tab delimited files.fll"; DestDir: "{app}\subfilters"; 
Source: "{app}\sysadmin\check for 404 errors.fll"; DestDir: "{app}\sysadmin"; 
Source: "{app}\sysadmin\count string matches.fll"; DestDir: "{app}\sysadmin"; 
Source: "{app}\sysadmin\delete files of zero size.fll"; DestDir: "{app}\sysadmin"; 
Source: "{app}\sysadmin\detect gaps in number ranges.fll"; DestDir: "{app}\sysadmin"; 
Source: "{app}\sysadmin\extract IP addresses.fll"; DestDir: "{app}\sysadmin"; 
Source: "{app}\sysadmin\generate equation 2 from CSV fields.fll"; DestDir: "{app}\sysadmin"; 
Source: "{app}\sysadmin\generate equation from CSV fields.fll"; DestDir: "{app}\sysadmin"; 
Source: "{app}\sysadmin\generate file list.fll"; DestDir: "{app}\sysadmin"; 
Source: "{app}\sysadmin\generate file renaming list 2.fll"; DestDir: "{app}\sysadmin"; 
Source: "{app}\sysadmin\generate file renaming list.fll"; DestDir: "{app}\sysadmin"; 
Source: "{app}\sysadmin\generate sequential keys.fll"; DestDir: "{app}\sysadmin"; 
Source: "{app}\sysadmin\get drive information.fll"; DestDir: "{app}\sysadmin"; 
Source: "{app}\sysadmin\inline macro.fll"; DestDir: "{app}\sysadmin"; 
Source: "{app}\sysadmin\make binary file readable.fll"; DestDir: "{app}\sysadmin"; 
Source: "{app}\sysadmin\pad with zeroes.fll"; DestDir: "{app}\sysadmin"; 
Source: "{app}\sysadmin\parse extended website log.fll"; DestDir: "{app}\sysadmin"; 
Source: "{app}\sysadmin\parse website log.fll"; DestDir: "{app}\sysadmin"; 
Source: "{app}\sysadmin\put DOS DIR on clipboard.fll"; DestDir: "{app}\sysadmin"; 
Source: "{app}\sysadmin\rename files according to contents.fll"; DestDir: "{app}\sysadmin"; 
Source: "{app}\sysadmin\renumber files.fll"; DestDir: "{app}\sysadmin"; 
Source: "{app}\sysadmin\show first 10 lines of file (emulate head).fll"; DestDir: "{app}\sysadmin"; 
Source: "{app}\sysadmin\show first line of file (emulate head -1).fll"; DestDir: "{app}\sysadmin"; 
Source: "{app}\sysadmin\show last 10 lines of file (emulate tail).fll"; DestDir: "{app}\sysadmin"; 
Source: "{app}\sysadmin\show last line of file (emulate tail -1).fll"; DestDir: "{app}\sysadmin"; 
Source: "{app}\sysadmin\snippet of each file.fll"; DestDir: "{app}\sysadmin"; 
Source: "{app}\sysadmin\split files.fll"; DestDir: "{app}\sysadmin"; 
Source: "{app}\sysadmin\swap date formats.fll"; DestDir: "{app}\sysadmin"; 
Source: "{app}\TaskMenu\convert clipboard text to Elmer Fudd speak.fll"; DestDir: "{app}\TaskMenu"; 
Source: "{app}\TaskMenu\convert clipboard text to lowercase.fll"; DestDir: "{app}\TaskMenu"; 
Source: "{app}\TaskMenu\convert clipboard text to Sentence case.fll"; DestDir: "{app}\TaskMenu"; 
Source: "{app}\TaskMenu\convert clipboard text to UPPERCASE.fll"; DestDir: "{app}\TaskMenu"; 
Source: "{app}\TaskMenu\indent text on clipboard.fll"; DestDir: "{app}\TaskMenu"; 
Source: "{app}\TaskMenu\regex_encode.fll"; DestDir: "{app}\TaskMenu"; 
Source: "{app}\TaskMenu\remove leading spaces from clipboard text.fll"; DestDir: "{app}\TaskMenu"; 
Source: "{app}\TaskMenu\remove trailing spaces from clipboard text.fll"; DestDir: "{app}\TaskMenu"; 
Source: "{app}\TaskMenu\unindent text on clipboard.fll"; DestDir: "{app}\TaskMenu"; 
Source: "{app}\TaskMenu\word wrap text on clipboard.fll"; DestDir: "{app}\TaskMenu"; 
Source: "{app}\Tutorial\LESSON1.FLL"; DestDir: "{app}\Tutorial"; 
Source: "{app}\Tutorial\LESSON2.FLL"; DestDir: "{app}\Tutorial"; 
Source: "{app}\Tutorial\Lesson3.fll"; DestDir: "{app}\Tutorial"; 
Source: "{app}\Tutorial\Lesson4.fll"; DestDir: "{app}\Tutorial"; 
Source: "{app}\Tutorial\Lesson5.fll"; DestDir: "{app}\Tutorial"; 
Source: "{app}\web site mining\data mine html tables.fll"; DestDir: "{app}\web site mining"; 
Source: "{app}\web site mining\data mine.fll"; DestDir: "{app}\web site mining"; 
Source: "{app}\web site mining\download web pages.fll"; DestDir: "{app}\web site mining"; 
Source: "{app}\web site mining\extract phone numbers.fll"; DestDir: "{app}\web site mining"; 
Source: "{app}\web site mining\google results.fll"; DestDir: "{app}\web site mining"; 
Source: "{app}\web site mining\simplify tags.fll"; DestDir: "{app}\web site mining"; 
Source: "{app}\web site mining\YellowPages extract.fll"; DestDir: "{app}\web site mining"; 
Source: "{app}\wizard\add_line_numbers.html"; DestDir: "{app}\wizard"; 
Source: "{app}\wizard\convert_ebcdic_to_ascii.html"; DestDir: "{app}\wizard"; 
Source: "{app}\wizard\convert_eol_characters.html"; DestDir: "{app}\wizard"; 
Source: "{app}\wizard\email_cleanup.html"; DestDir: "{app}\wizard"; 
Source: "{app}\wizard\extract_email_addresses.html"; DestDir: "{app}\wizard"; 
Source: "{app}\wizard\extract_from_database.html"; DestDir: "{app}\wizard"; 
Source: "{app}\wizard\index.html"; DestDir: "{app}\wizard"; 
Source: "{app}\wizard\index1.html"; DestDir: "{app}\wizard"; 
Source: "{app}\wizard\join_files.html"; DestDir: "{app}\wizard"; 
Source: "{app}\wizard\remove_blanks.html"; DestDir: "{app}\wizard"; 
Source: "{app}\wizard\replace_delimiter.html"; DestDir: "{app}\wizard"; 
Source: "{app}\wizard\replace_pattern.html"; DestDir: "{app}\wizard"; 
Source: "{app}\wizard\replace_string.html"; DestDir: "{app}\wizard"; 
Source: "{app}\wizard\replace_string_csv.html"; DestDir: "{app}\wizard"; 
Source: "{app}\wizard\replace_string_range.html"; DestDir: "{app}\wizard"; 
Source: "{app}\wizard\replace_string_tab.html"; DestDir: "{app}\wizard"; 
Source: "{app}\wizard\sort_files.html"; DestDir: "{app}\wizard"; 
Source: "{app}\wizard\split_files.html"; DestDir: "{app}\wizard"; 
Source: "{app}\wizard\todo.html"; DestDir: "{app}\wizard"; 
Source: "{app}\wizard\user.html"; DestDir: "{app}\wizard"; 
Source: "{app}\wizard\website_logs.html"; DestDir: "{app}\wizard"; 
Source: "{app}\wizard\outline.js"; DestDir: "{app}\wizard"; 
Source: "{app}\wizard\wizard.js"; DestDir: "{app}\wizard"; 
Source: "{app}\wizard\style.css"; DestDir: "{app}\wizard"; 
Source: "{app}\wizard\images\blackpixel.gif"; DestDir: "{app}\wizard\images"; 
Source: "{app}\wizard\images\finish.gif"; DestDir: "{app}\wizard\images"; 
Source: "{app}\wizard\images\folder.gif"; DestDir: "{app}\wizard\images"; 
Source: "{app}\wizard\images\jackhammer.gif"; DestDir: "{app}\wizard\images"; 
Source: "{app}\wizard\images\textpipe.gif"; DestDir: "{app}\wizard\images"; 

[Registry]
Root: HKCR; Subkey: "CLSID\{{BF5F4421-FFED-11D3-BA7A-444553540001}"; ValueType: String; ValueData: "tpext"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "CLSID\{{BF5F4421-FFED-11D3-BA7A-444553540001}\InProcServer32"; ValueType: String; ValueData: "{app}\contmenu.dll"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "CLSID\{{BF5F4421-FFED-11D3-BA7A-444553540001}\InProcServer32"; ValueName: "ThreadingModel"; ValueType: String; ValueData: "Apartment"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "Folder\shellex\ContextMenuHandlers\tpext"; ValueType: String; ValueData: "{{BF5F4421-FFED-11D3-BA7A-444553540001}"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "*\shellex\ContextMenuHandlers\tpext"; ValueType: String; ValueData: "{{BF5F4421-FFED-11D3-BA7A-444553540001}"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\FindExtensions\Static\tpext"; ValueType: String; ValueData: "{{BF5F4421-FFED-11D3-BA7A-444553540001}"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\FindExtensions\Static\tpext\0"; ValueType: String; ValueData: "TextPipe Search and Replace..."; Flags: uninsdeletekey 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\FindExtensions\Static\tpext\0\DefaultIcon"; ValueType: String; ValueData: "{app}\textpipe.exe"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows\CurrentVersion\Shell Extensions\Approved"; ValueName: "tpext"; ValueType: String; ValueData: "{{BF5F4421-FFED-11D3-BA7A-444553540001}"; Flags: uninsdeletekey 
Root: HKCR; Subkey: ".fll"; ValueName: "Content Type"; ValueType: String; ValueData: "application/x-msdownload"; Flags: uninsdeletekey 
Root: HKCR; Subkey: ".fll"; ValueType: String; ValueData: "TextPipe.Filter"; Flags: uninsdeletekey 
Root: HKCR; Subkey: ".fll\ShellNew"; ValueName: "Filename"; ValueType: String; ValueData: "{app}\normal.fll"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "TextPipe.Filter"; ValueType: String; ValueData: "TextPipe Filter"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "TextPipe.Filter\shell\open\command"; ValueType: String; ValueData: """{app}\textpipe.exe"""; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "TextPipe.Filter\shell\open\ddeexec"; ValueType: String; ValueData: "[FileOpen(""%1"")]"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "TextPipe.Filter\shell\open\ddeexec\Application"; ValueType: String; ValueData: "TextPipe"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "TextPipe.Filter\shell\open\ddeexec\Topic"; ValueType: String; ValueData: "AppDDE"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "TextPipe.Filter\shell\openNew"; ValueType: String; ValueData: "Open in new window"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "TextPipe.Filter\shell\openNew\command"; ValueType: String; ValueData: """{app}\textpipe.exe"" ""/f=%1"""; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "TextPipe.Filter\shell\run"; ValueType: String; ValueData: "&Run"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "TextPipe.Filter\shell\run\command"; ValueType: String; ValueData: """{app}\textpipe.exe"" ""/f=%1"" /g /q"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "TextPipe.Filter\DefaultIcon"; ValueType: String; ValueData: "{app}\textpipe.exe,0"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: ".map"; ValueType: String; ValueData: "TextPipe.Map"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "TextPipe.Map"; ValueType: String; ValueData: "TextPipe Map"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "TextPipe.Map\shell\open\command"; ValueType: String; ValueData: """{app}\textpipe.exe"" ""/m=%1"""; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "TextPipe.Map\DefaultIcon"; ValueType: String; ValueData: "{app}\textpipe.exe,0"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "TextPipe.Map\shell\openWith"; ValueType: String; ValueData: "&Open with Notepad"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "TextPipe.Map\shell\openWith\command"; ValueType: String; ValueData: """Notepad.exe"" ""%1"""; Flags: uninsdeletevalue 
Root: HKCR; Subkey: ".dCV"; ValueType: String; ValueData: "TextPipe.Test"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "TextPipe.Test"; ValueType: String; ValueData: "TextPipe Test Run"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "TextPipe.Test\shell\open\command"; ValueType: String; ValueData: """notepad.exe"" ""%1"""; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "SOFTWARE\Crystal Software\TextPipe"; ValueName: "TextPipeType"; ValueType: Dword; ValueData: "$1"; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "SOFTWARE\Crystal Software\TextPipe"; ValueName: "AppName"; ValueType: String; ValueData: "TextPipe Pro Evaluation"; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "SOFTWARE\Crystal Software\TextPipe"; ValueName: "Installer"; ValueType: String; ValueData: "{code:RNAffil|UN}"; Flags: noerror 
Root: HKCU; Subkey: "SOFTWARE\Crystal Software\TextPipe\ShellFilters\1"; ValueName: "Name"; ValueType: String; ValueData: "Split for 1.44MB floppy"; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKCU; Subkey: "SOFTWARE\Crystal Software\TextPipe\ShellFilters\1"; ValueName: "Command"; ValueType: String; ValueData: "/i- ""/f=%f"" %p /g /q"; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKCU; Subkey: "SOFTWARE\Crystal Software\TextPipe\ShellFilters\1"; ValueName: "Comment"; ValueType: String; ValueData: "Split files to fit onto a 1.44MB floppy disk"; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKCU; Subkey: "SOFTWARE\Crystal Software\TextPipe\ShellFilters\1"; ValueName: "Filter"; ValueType: String; ValueData: "{app}\sysadmin\split files.fll"; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKCU; Subkey: "SOFTWARE\Crystal Software\TextPipe\ShellFilters\2"; ValueName: "Name"; ValueType: String; ValueData: "Join"; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKCU; Subkey: "SOFTWARE\Crystal Software\TextPipe\ShellFilters\2"; ValueName: "Command"; ValueType: String; ValueData: "/i- ""/f=%f"" %p"; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKCU; Subkey: "SOFTWARE\Crystal Software\TextPipe\ShellFilters\2"; ValueName: "Comment"; ValueType: String; ValueData: "Join files together to \merge.txt (also called merge or concatenate). The join order can be changed in TextPipe's file grid"; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKCU; Subkey: "SOFTWARE\Crystal Software\TextPipe\ShellFilters\2"; ValueName: "Filter"; ValueType: String; ValueData: "{app}\etext\merge files.fll"; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKCU; Subkey: "SOFTWARE\Crystal Software\TextPipe\ShellFilters\3"; ValueName: "Name"; ValueType: String; ValueData: "UUencode"; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKCU; Subkey: "SOFTWARE\Crystal Software\TextPipe\ShellFilters\3"; ValueName: "Command"; ValueType: String; ValueData: "/i- ""/f=%f"" %p /g /q"; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKCU; Subkey: "SOFTWARE\Crystal Software\TextPipe\ShellFilters\3"; ValueName: "Comment"; ValueType: String; ValueData: "UUencode the selected files for attaching to an email"; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKCU; Subkey: "SOFTWARE\Crystal Software\TextPipe\ShellFilters\3"; ValueName: "Filter"; ValueType: String; ValueData: "{app}\email\uuencode.fll"; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKCU; Subkey: "SOFTWARE\Crystal Software\TextPipe\ShellFilters\4"; ValueName: "Name"; ValueType: String; ValueData: "XXencode"; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKCU; Subkey: "SOFTWARE\Crystal Software\TextPipe\ShellFilters\4"; ValueName: "Command"; ValueType: String; ValueData: "/i- ""/f=%f"" %p /g /q"; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKCU; Subkey: "SOFTWARE\Crystal Software\TextPipe\ShellFilters\4"; ValueName: "Comment"; ValueType: String; ValueData: "XXencode the selected files for attaching to an email"; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKCU; Subkey: "SOFTWARE\Crystal Software\TextPipe\ShellFilters\4"; ValueName: "Filter"; ValueType: String; ValueData: "{app}\email\xxencode.fll"; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKCU; Subkey: "SOFTWARE\Crystal Software\TextPipe\ShellFilters\5"; ValueName: "Name"; ValueType: String; ValueData: "Mime Base64 encode"; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKCU; Subkey: "SOFTWARE\Crystal Software\TextPipe\ShellFilters\5"; ValueName: "Command"; ValueType: String; ValueData: "/i- ""/f=%f"" %p /g /q"; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKCU; Subkey: "SOFTWARE\Crystal Software\TextPipe\ShellFilters\5"; ValueName: "Comment"; ValueType: String; ValueData: "MIME encode the selected files for attaching to an email"; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKCU; Subkey: "SOFTWARE\Crystal Software\TextPipe\ShellFilters\5"; ValueName: "Filter"; ValueType: String; ValueData: "{app}\email\mime.fll"; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKCU; Subkey: "SOFTWARE\Crystal Software\TextPipe\ShellFilters\6"; ValueName: "Name"; ValueType: String; ValueData: "Convert to DOS end of lines"; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKCU; Subkey: "SOFTWARE\Crystal Software\TextPipe\ShellFilters\6"; ValueName: "Command"; ValueType: String; ValueData: "/i- ""/f=%f"" %p /g /q"; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKCU; Subkey: "SOFTWARE\Crystal Software\TextPipe\ShellFilters\6"; ValueName: "Comment"; ValueType: String; ValueData: "Convert the end of line (EOL) characters to DOS format"; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKCU; Subkey: "SOFTWARE\Crystal Software\TextPipe\ShellFilters\6"; ValueName: "Filter"; ValueType: String; ValueData: "{app}\conversions\auto2dos.fll"; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKCU; Subkey: "SOFTWARE\Crystal Software\TextPipe\ShellFilters\7"; ValueName: "Name"; ValueType: String; ValueData: "Convert to Unix end of lines"; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKCU; Subkey: "SOFTWARE\Crystal Software\TextPipe\ShellFilters\7"; ValueName: "Command"; ValueType: String; ValueData: "/i- ""/f=%f"" %p /g /q"; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKCU; Subkey: "SOFTWARE\Crystal Software\TextPipe\ShellFilters\7"; ValueName: "Comment"; ValueType: String; ValueData: "Convert the end of line (EOL) characters to Unix format"; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKCU; Subkey: "SOFTWARE\Crystal Software\TextPipe\ShellFilters\7"; ValueName: "Filter"; ValueType: String; ValueData: "{app}\conversions\auto2unix.fll"; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKCU; Subkey: "SOFTWARE\Crystal Software\TextPipe\ShellFilters\8"; ValueName: "Name"; ValueType: String; ValueData: "Convert to Mac end of lines"; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKCU; Subkey: "SOFTWARE\Crystal Software\TextPipe\ShellFilters\8"; ValueName: "Command"; ValueType: String; ValueData: "/i- ""/f=%f"" %p /g /q"; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKCU; Subkey: "SOFTWARE\Crystal Software\TextPipe\ShellFilters\8"; ValueName: "Comment"; ValueType: String; ValueData: "Convert the end of line (EOL) characters to Mac format"; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKCU; Subkey: "SOFTWARE\Crystal Software\TextPipe\ShellFilters\8"; ValueName: "Filter"; ValueType: String; ValueData: "{app}\conversions\auto2mac.fll"; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKCU; Subkey: "SOFTWARE\Crystal Software\TextPipe\ShellFilters\9"; ValueName: "Name"; ValueType: String; ValueData: "Copy to clipboard"; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKCU; Subkey: "SOFTWARE\Crystal Software\TextPipe\ShellFilters\9"; ValueName: "Command"; ValueType: String; ValueData: "/i- ""/f=%f"" %p /g /q"; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKCU; Subkey: "SOFTWARE\Crystal Software\TextPipe\ShellFilters\9"; ValueName: "Comment"; ValueType: String; ValueData: "Copies the selected file(s) to the clipboard"; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKCU; Subkey: "SOFTWARE\Crystal Software\TextPipe\ShellFilters\9"; ValueName: "Filter"; ValueType: String; ValueData: "{app}\etext\copy to clipboard.fll"; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "SOFTWARE\Crystal Software\TextPipe"; ValueName: "RootDir"; ValueType: String; ValueData: "{app}"; Flags: uninsdeletekey 
Root: HKCU; Subkey: "SOFTWARE\Crystal Software\TextPipe"; ValueName: "RootDir"; ValueType: String; ValueData: "{app}"; Flags: uninsdeletekey 
Root: HKCU; Subkey: "SOFTWARE\Microsoft\Windows\CurrentVersion\Shell Extensions\Approved"; ValueName: "{{BF5F4421-FFED-11D3-BA7A-444553540001}"; ValueType: String; ValueData: "TextPipe Search/Replace"; Flags: uninsdeletekey 
Root: HKCU; Subkey: "SOFTWARE\Crystal Software\TextPipe"; ValueName: "soundFile"; ValueType: String; ValueData: "{app}\sound.wav"; Flags: uninsdeletevalue 

[Run]
Filename: "{app}\textpipe.exe"; Description: "Launch application"; Flags: postinstall skipifsilent nowait

[UninstallRun]
Filename: "{app}\textpipe.exe"; Parameters: "/unregserver"; WorkingDir: "{app}"; 

[Icons]
Name: "{userdesktop}\TextPipe Pro Evaluation"; Filename: "{app}\TextPipe.exe"; WorkingDir: "{app}"; Tasks: desktopicon; 
Name: "{sendto}\TextPipe Pro Evaluation"; Filename: "{app}\TextPipe.exe"; WorkingDir: "{app}"; 
Name: "{group}\TextPipe Pro Evaluation 7.2"; Filename: "{app}\textpipe.exe"; WorkingDir: "{app}"; 
Name: "{group}\Wizard"; Filename: "{app}\wizard\index.html"; WorkingDir: "{app}\wizard"; 
Name: "{group}\Help"; Filename: "{app}\textpipe.chm"; WorkingDir: "{app}"; 
Name: "{group}\Buy Now!"; Filename: "{app}\purchase.url"; WorkingDir: "{app}"; 
Name: "{group}\Home Page"; Filename: "{app}\TxtPp-HP.url"; WorkingDir: "{app}"; 
Name: "{group}\Tutorial"; Filename: "{app}\textpipe.exe"; Parameters: "/tutorial"; WorkingDir: "{app}"; 
Name: "{group}\What's New"; Filename: "{app}\whatsnew.txt"; WorkingDir: "{app}"; 
Name: "{group}\Uninstall"; Filename: "{uninstallexe}"; WorkingDir: "{app}"; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\TextPipe Pro Evaluation"; Filename: "{app}\TextPipe.exe"; WorkingDir: "{app}"; Tasks: quicklaunchicon; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; 
Name: "desktopicon\common"; Description: "For all users"; GroupDescription: "Additional icons:"; 
Name: "desktopicon\user"; Description: "For the current user only"; GroupDescription: "Additional icons:"; 
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon"; GroupDescription: "Additional icons:"; 

[CustomMessages]
default.NameAndVersion=%1 version %2
default.AdditionalIcons=Additional icons:
default.CreateDesktopIcon=Create a &desktop icon
default.CreateQuickLaunchIcon=Create a &Quick Launch icon
default.ProgramOnTheWeb=%1 on the Web
default.UninstallProgram=Uninstall %1
default.LaunchProgram=Launch %1
default.AssocFileExtension=&Associate %1 with the %2 file extension
default.AssocingFileExtension=Associating %1 with the %2 file extension...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
